Sequel.migration do
  up do
    create_table(:campaigns) do
      primary_key :id
      String :name, null: false
    end

    create_table(:characters) do
      primary_key :id
      String :name, null: false
      String :username
      Integer :uid
    end

    create_table(:abilities) do
      primary_key :id
      String  :name, null: false
      Integer :value, default: 0
      foreign_key :character_id
    end

    create_table(:skills) do
      primary_key :id
      String  :name, null: false
      Integer :value, default: 0
      Bool    :violence, default: false
      Bool    :closed, default: false
      String  :speciality
      foreign_key :ability_id
      foreign_key :character_id
    end

    create_table(:traits) do
      primary_key :id
      String :name, null: false
      foreign_key :character_id
    end
  end

  down do
    drop_table(:campaigns)
    drop_table(:characters)
    drop_table(:characteristics)
    drop_table(:skills)
  end
end

# "Acrobatie"
# "Armes de poing"
# "Armes d'épaule"
# "[Armes emb.]"
# "Artisanat (           )"
# "Artisanat (           )"
# "Artisanat (           )"
# "[Pilotage (Vaisseau spatial)]"
# "[Pilotage (        )]"
# "Technologie"

# "Armes de jet"
# "[Armes lourdes]"
# "Athlétisme"
# "Equitation"
# "Mêlée"
# "Environnement (Espace)"
# "Environnement (Prison)"
# "Environnement (           )"

# "Déguisement"
# "Discretion"
# "Empathie"
# "[Falsification]"
# "Recherche"
# "[Senseur]"
# "[Syst. Sécu]"
# "Vigilance"

# "Analyse"
# "Arts (          )"
# "Connaissance (Barrens)"
# "Connaissance (A.N.L)"
# "Connaissance (Havana)"
# "Esotérisme"
# "Histoire"
# "Ingénierie"
# "Médecine"
# "Navigation"
# "Sciences Solaires"
# "Sciences Stellaires"
# "Stratégie"

# "Baratin"
# "Bureaucratie"
# "Comédie"
# "Commerce"
# "Danse"
# "Eloquence"
# "Etiquette"
# "Jeux"
# "Séduction"

# "Commandement"
# "Démolition"
# "Détermination"
# "Dressage"
# "Illégalités"
# "Intimidation"
# "Premiers soins"
# "Tactique"
