require 'roo'

module MetalAdventures
  class Character
    module ImportNephSheet
      def self.import(path:)
        xls = Roo::Spreadsheet.open(path, extension: :xlsx)

        new_character = Character.new(name: xls.sheet(0).b3).save

        sheet_data = xls.sheet("DATA").to_a
        abi_index = sheet_data.find_index { |row| row[0] == "Agilité" }
        slice = sheet_data[abi_index..].map{ |abi| abi.each_slice(4).to_a }

        abi = slice[0].map { |tuple| Ability.new(name: tuple[0], value: tuple[3], character: new_character).save }
        slice[2..].each do |line|
          line.each.with_index do |cell, column_id|
            if cell[0]
              Skill.new(name: cell[0], value: cell[3], ability: abi[column_id], character: new_character).save
            end
          end
        end

        new_character
      end

    end
  end
end
